Bug 165235 - CAN-2005-2549 Sitic Vulnerability Advisory: SA05-001 Evolution multiple remote format string bugs (RHEL4) (CAN-2005-2550)
CAN-2005-2549 Sitic Vulnerability Advisory: SA05-001 Evolution multiple remot...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Malcolm
impact=important,source=gnome,reporte...
: Security
Depends On:
Blocks: 165236 165237 165238
  Show dependency treegraph
 
Reported: 2005-08-05 14:38 EDT by Dave Malcolm
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-267
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-29 14:29:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attachment "evolution-data.zip" from that email (1.97 KB, application/zip)
2005-08-05 16:38 EDT, Dave Malcolm
no flags Details

  None (edit)
Description Dave Malcolm 2005-08-05 14:38:15 EDT
(don't yet know if this affects RHEL4)
Comment 1 Dave Malcolm 2005-08-05 16:36:01 EDT
From email to: security@gnome.org (forwarded to me by Owen Taylor):

* Notice to Vendor *
        
        
        Date: 2005-08-04
        
        We are bringing to your attention one or more potential security
        vulnerabilities
        affecting one of your products.
        
        In accordance with the SITIC Vulnerability Disclosure Process, such
        information
        is supplied in the form of preliminary SITIC Vulnerability Advisories,
        to be
        completed for later public release by SITIC.
        
        Please find attached:
        
        * List of preliminary SITIC Vulnerability Advisories:
          - SA05-001 Evolution multiple remote format string bugs
        
        * List of additional files:
          - Evolution-data.zip containing
                evolution.formstring.patch
                evolution.ldif
                evolution.tasklist.txt
                evolution.vcf
        
        
        In the initial stage we ask you, the vendor, to:
        1) within 5 days confirm receipt of this notice
        2) within 5 days confirm which products are affected by the
        vulnerability
        3) within 5 days provide preliminary date(s) for availability of
        remedies
        
        using the contact information below.
        
        The aim for this process is a coordinated release of a SITIC
        Vulnerability
        Advisory for each concerned vulnerability, complete with instructions
        for
        eliminating or mitigating the vulnerability, agreed between the vendor
        and
        SITIC. Any queries that arise from this issue may be addressed to SITIC
        with a subject line that includes the SITIC Vulnerability Advisory
        Reference
        as tracking code.
        
        We kindly ask you to discuss with SITIC prior to any further
        distribution.
        
        We are looking forward to working with you on this issue.
        
        
        Contact information:
        
        Swedish IT Incident Centre, SITIC
        P O Box 5398, SE-102 49 Stockholm, Sweden
        Telephone: +46-8-678 5799
        Email: sitic at pts dot se
        http://www.sitic.se
        
        Sitic PGP key:
        
        http://www.sitic.se/dokument/pgpkey.asc
        
        
        
        About SITIC:
        
        The Swedish IT Incident Centre within the National Post and Telecom
        Agency has
        the task to support society in working with protection against IT
        incidents.
        SITIC facilitates exchange of information regarding IT incidents between
        organisations in society, and disseminates information about new
        problems
        which potentially may impede the functionality of IT systems. In
        addition,
        SITIC provides information and advice regarding proactive measures and
        compiles and publishes statistics.
        
Comment 2 Dave Malcolm 2005-08-05 16:37:18 EDT
Content of attachment "SA05-001.txt" of that email:
* SITIC Vulnerability Advisory *
        
                   Advisory Name: Evolution multiple remote format string bugs
              Advisory Reference: SA05-001
         Date of initial release: Preliminary 2005-08-04
                         Product: Evolution 1.5, 2.0, 2.1, 2.2, 2.3
                        Platform: Linux, BSD systems, Unix
                          Effect: Remote code execution
        Vulnerability Identifier: Not assigned
        
        
        Overview:
        
        Evolution suffers from several format string bugs when handling data from
        remote sources. These bugs lead to crashes or the execution of arbitrary
        assembly language code.
        
        
        Details:
        
        1) The first format string bug occurs when viewing the full vCard data
        attached to an e-mail message.
        
        When opening an e-mail message, only a compact view of some of the fields
        from the vCard is displayed, and this does not trigger the vulnerability.
        To be affected, the user must click on Show Full vCard or perform similar
        actions such as clicking on Save in Addressbook and then viewing the saved
        data under the Contacts tab.
        
        Why is this important? An attacker might notice that an organisation uses
        Evolution, for instance after seeing the "X-Mailer: Evolution x.y.z" e-mail
        header in their e-mails. He or she could then send out e-mail messages with
        malicious vCards to many e-mail accounts at the organisation, in the hope
        that some of the recipients will view the full vCard data sooner or later,
        thus exposing the organisation to this format string bug.
        
        
        2) The second format string bug occurs when displaying contact data fetched
        from remote LDAP servers.
        
        
        3) The third format string bug occurs when displaying task list data from
        remote servers.
        
        
        4) The fourth, and least serious, format string bug occurs when the user
        goes to the Calendars tab to save task list data that is vulnerable to
        problem 3 above. Other calendar entries that do not come from task lists
        are also affected.
        
        
        * * * FOR GNOME ONLY * * *
        
        We have attached some example files, so you can test these vulnerabilities.
        In all cases, Evolution will crash after performing an action similar to
        printf("%n%n%n%n...");.
        
        The attached evolution.vcf file will exhibit problem 1, when you e-mail it
        to an Evolution user, open that e-mail message in Evolution, and click on
        Show Full vCard.
        
        The attached evolution.ldif file will exhibit problem 2, when you add it to
        an LDAP server, configure Evolution to use that server, and then search for
        and open the data from the file in Evolution.
        
        The attached evolution.tasklist.txt file will exhibit problem 3, when you
        put it on a web server, configure Evolution to use that server, and then
        open the task from the file in Evolution.
        
        Problem 4 can be tested by configuring the system to exhibit problem 3
above,
        then selecting the Calendars tab, right-clicking on the task from the web
        server, and selecting Save as and a file name. It also affects
right-clicking
        and saving other calendar entries that do not come from task lists.
        
        You may also want to look into possible format string bugs when calling the
        em_format_format_error(), camel_filter_driver_log(), camel_stream_printf()
        and camel_exception_setv() functions. Some of the calls to them look a
        bit suspicious.
        
        * * * END * * *
        
        
        Mitigating factors:
        
        Users that never use any of the vulnerable features in Evolution are not
        affected.
        
        
        Affected versions:
        
          o  Evolution 1.5 to Evolution 2.3.6.1
        
        
        Recommendations:
        
        To be defined
        
        
        Patch information:
        
        We have attached a patch called evolution.formstring.patch that corrects
        all mentioned issues. Please review it. 
        
        
        Acknowledgments:
        
        These vulnerabilities were discovered by Ulf Harnhammar for SITIC, Swedish
        IT Incident Centre.
        
        
        Contact information:
        
        Swedish IT Incident Centre, SITIC
        P O Box 5398, SE-102 49 Stockholm, Sweden
        Telephone: +46-8-678 5799
        Email: sitic at pts dot se
        http://www.sitic.se/
        
        
        Revision history:
        
        Preliminary 2005-08-04
        
        
        About SITIC:
        
        The Swedish IT Incident Centre within the National Post and Telecom Agency
        has the task to support society in working with protection against IT
        incidents. SITIC facilitates exchange of information regarding IT incidents
        between organisations in society, and disseminates information about new
        problems which potentially may impede the functionality of IT systems. In
        addition, SITIC provides information and advice regarding proactive measures
        and compiles and publishes statistics.
        
        
        Disclaimer:
        
        The decision to follow or act on information or advice contained in this
        Vulnerability Advisory is the responsibility of each user or organisation.
        SITIC accepts no responsibility for any errors or omissions contained within
        this Vulnerability Advisory, nor for any consequences which may arise from
        following or acting on information or advice contained herein.
Comment 6 Red Hat Bugzilla 2005-08-29 14:29:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-267.html

Note You need to log in before you can comment on or make changes to this bug.